PrintSides (JavaFX 17)

Module javafx.graphics
Package javafx.print

## Enum PrintSides

- java.lang.Object
- - java.lang.Enum<PrintSides>
  - - javafx.print.PrintSides

- All Implemented Interfaces:
    `Serializable`, `Comparable<PrintSides>`

      public enum PrintSides
      extends Enum<PrintSides>

  Class to enumerate the possible duplex (two-sided) printing modes.
  Since:
    JavaFX 8.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DUPLEX` | Two sided printing where the vertical edge of the paper is to be used for binding such as in a book.
    `ONE_SIDED` | One sided printing.
    `TUMBLE` | Two sided printing where the horizontal edge of the paper is to be used for binding such as in a notepad.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PrintSides` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PrintSides[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE_SIDED

          public static final PrintSides ONE_SIDED

      One sided printing. Duplex printing is off.

    - #### DUPLEX

          public static final PrintSides DUPLEX

      Two sided printing where the vertical edge of the paper is to be used for binding such as in a book. In PORTAIT mode printing, the vertical edge is usally the long edge but this is reversed if LANDSCAPE printing is requested

    - #### TUMBLE

          public static final PrintSides TUMBLE

      Two sided printing where the horizontal edge of the paper is to be used for binding such as in a notepad. In PORTAIT mode printing, the horizontal edge is usally the short edge but this is reversed if LANDSCAPE printing is requested

  - ### Method Detail

    - #### values

          public static PrintSides[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PrintSides c : PrintSides.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrintSides valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null